searchNodes=[{"doc":"API client metadata for GoogleApi.DataCatalog.V1beta1.","ref":"GoogleApi.DataCatalog.V1beta1.html","title":"GoogleApi.DataCatalog.V1beta1","type":"module"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.html#discovery_revision/0","title":"GoogleApi.DataCatalog.V1beta1.discovery_revision/0","type":"function"},{"doc":"API calls for all endpoints tagged Catalog.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Catalog.html","title":"GoogleApi.DataCatalog.V1beta1.Api.Catalog","type":"module"},{"doc":"Searches Data Catalog for multiple resources like entries, tags that match a query. This is a custom method (https://cloud.google.com/apis/design/custom_methods) and does not return the complete resource, only the resource identifier and high level fields. Clients can subsequentally call Get methods. Note that Data Catalog search queries do not guarantee full recall. Query results that match your query may not be returned, even in subsequent result pages. Also note that results returned (and not returned) can vary across repeated search queries. See Data Catalog Search Syntax for more information.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Catalog.html#datacatalog_catalog_search/3","title":"GoogleApi.DataCatalog.V1beta1.Api.Catalog.datacatalog_catalog_search/3","type":"function"},{"doc":"API calls for all endpoints tagged Entries.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Entries.html","title":"GoogleApi.DataCatalog.V1beta1.Api.Entries","type":"module"},{"doc":"Get an entry by target resource name. This method allows clients to use the resource name from the source Google Cloud Platform service to get the Data Catalog Entry.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :linkedResource (type: String.t) - The full name of the Google Cloud Platform resource the Data Catalog entry represents. See: https://cloud.google.com/apis/design/resource_names#full_resource_name. Full names are case-sensitive. Examples: //bigquery.googleapis.com/projects/projectId/datasets/datasetId/tables/tableId //pubsub.googleapis.com/projects/projectId/topics/topicId :sqlResource (type: String.t) - The SQL name of the entry. SQL names are case-sensitive. Examples: pubsub.project_id.topic_id pubsub.project_id.`topic.id.with.dots` bigquery.table.project_id.dataset_id.table_id bigquery.dataset.project_id.dataset_id datacatalog.entry.project_id.location_id.entry_group_id.entry_id `_id`s shoud satisfy the standard SQL rules for identifiers. https://cloud.google.com/bigquery/docs/reference/standard-sql/lexical. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Entries.html#datacatalog_entries_lookup/3","title":"GoogleApi.DataCatalog.V1beta1.Api.Entries.datacatalog_entries_lookup/3","type":"function"},{"doc":"API calls for all endpoints tagged Projects.","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects","type":"module"},{"doc":"A maximum of 10,000 entry groups may be created per organization across all locations. Users should enable the Data Catalog API in the project identified by the parent parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. The name of the project this entry group is in. Example: * projects/{project_id}/locations/{location} Note that this EntryGroup and its child resources may not actually be stored in the location in this name. locations_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :entryGroupId (type: String.t) - Required. The id of the entry group to create. The id must begin with a letter or underscore, contain only English letters, numbers and underscores, and be at most 64 characters. :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_create/5","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_create/5","type":"function"},{"doc":"Deletes an EntryGroup. Only entry groups that do not contain entries can be deleted. Users should enable the Data Catalog API in the project identified by the name parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the entry group. For example, projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}. locations_id (type: String.t) - Part of name. See documentation of projectsId. entry_groups_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :force (type: boolean()) - Optional. If true, deletes all entries in the entry group. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_delete/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_delete/6","type":"function"},{"doc":"Creates an entry. Only entries of 'FILESET' type or user-specified type can be created. Users should enable the Data Catalog API in the project identified by the parent parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information). A maximum of 100,000 entries may be created per entry group.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. The name of the entry group this entry is in. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id} Note that this Entry and its child resources may not actually be stored in the location in this name. locations_id (type: String.t) - Part of parent. See documentation of projectsId. entry_groups_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :entryId (type: String.t) - Required. The id of the entry to create. :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_create/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_create/6","type":"function"},{"doc":"Deletes an existing entry. Only entries created through CreateEntry method can be deleted. Users should enable the Data Catalog API in the project identified by the name parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the entry. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id} locations_id (type: String.t) - Part of name. See documentation of projectsId. entry_groups_id (type: String.t) - Part of name. See documentation of projectsId. entries_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_delete/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_delete/7","type":"function"},{"doc":"Gets an entry.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the entry. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id} locations_id (type: String.t) - Part of name. See documentation of projectsId. entry_groups_id (type: String.t) - Part of name. See documentation of projectsId. entries_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get/7","type":"function"},{"doc":"Gets the access control policy for a resource. A NOT_FOUND error is returned if the resource does not exist. An empty policy is returned if the resource exists but does not have a policy set on it. Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. Callers must have following Google IAM permission - datacatalog.tagTemplates.getIamPolicy to get policies on tag templates. - datacatalog.entries.getIamPolicy to get policies on entries. - datacatalog.entryGroups.getIamPolicy to get policies on entry groups.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. entry_groups_id (type: String.t) - Part of resource. See documentation of projectsId. entries_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_get_iam_policy/7","type":"function"},{"doc":"Lists entries.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. The name of the entry group that contains the entries, which can be provided in URL format. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id} locations_id (type: String.t) - Part of parent. See documentation of projectsId. entry_groups_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of items to return. Default is 10. Max limit is 1000. Throws an invalid argument for page_size &gt; 1000. :pageToken (type: String.t) - Token that specifies which page is requested. If empty, the first page is returned. :readMask (type: String.t) - The fields to return for each Entry. If not set or empty, all fields are returned. For example, setting read_mask to contain only one path &quot;name&quot; will cause ListEntries to return a list of Entries with only &quot;name&quot; field. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_list/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_list/6","type":"function"},{"doc":"Updates an existing entry. Users should enable the Data Catalog API in the project identified by the entry.name parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of entry.name. The Data Catalog resource name of the entry in URL format. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id} Note that this Entry and its child resources may not actually be stored in the location in this name. locations_id (type: String.t) - Part of entry.name. See documentation of projectsId. entry_groups_id (type: String.t) - Part of entry.name. See documentation of projectsId. entries_id (type: String.t) - Part of entry.name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - The fields to update on the entry. If absent or empty, all modifiable fields are updated. The following fields are modifiable: For entries with type DATA_STREAM: schema For entries with type FILESET schema display_name description gcs_fileset_spec gcs_fileset_spec.file_patterns For entries with user_specified_type schema display_name description user_specified_type user_specified_system linked_resource source_system_timestamps :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_patch/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_patch/7","type":"function"},{"doc":"Creates a tag on an Entry. Note: The project identified by the parent parameter for the tag and the tag template used to create the tag must be from the same organization.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. The name of the resource to attach this tag to. Tags can be attached to Entries. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id} Note that this Tag and its child resources may not actually be stored in the location in this name. locations_id (type: String.t) - Part of parent. See documentation of projectsId. entry_groups_id (type: String.t) - Part of parent. See documentation of projectsId. entries_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_create/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_create/7","type":"function"},{"doc":"Deletes a tag.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the tag to delete. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id}/tags/{tag_id} locations_id (type: String.t) - Part of name. See documentation of projectsId. entry_groups_id (type: String.t) - Part of name. See documentation of projectsId. entries_id (type: String.t) - Part of name. See documentation of projectsId. tags_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_delete/8","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_delete/8","type":"function"},{"doc":"Lists the tags on an Entry.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. The name of the Data Catalog resource to list the tags of. The resource could be an Entry or an EntryGroup. Examples: projects/{project_id}/locations/{location}/entryGroups/{entry_group_id} projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id} locations_id (type: String.t) - Part of parent. See documentation of projectsId. entry_groups_id (type: String.t) - Part of parent. See documentation of projectsId. entries_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of tags to return. Default is 10. Max limit is 1000. :pageToken (type: String.t) - Token that specifies which page is requested. If empty, the first page is returned. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_list/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_list/7","type":"function"},{"doc":"Updates an existing tag.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of tag.name. The resource name of the tag in URL format. Example: * projects/{project_id}/locations/{location}/entrygroups/{entry_group_id}/entries/{entry_id}/tags/{tag_id} where tag_id is a system-generated identifier. Note that this Tag may not actually be stored in the location in this name. locations_id (type: String.t) - Part of tag.name. See documentation of projectsId. entry_groups_id (type: String.t) - Part of tag.name. See documentation of projectsId. entries_id (type: String.t) - Part of tag.name. See documentation of projectsId. tags_id (type: String.t) - Part of tag.name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - The fields to update on the Tag. If absent or empty, all modifiable fields are updated. Currently the only modifiable field is the field fields. :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_tags_patch/8","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_tags_patch/8","type":"function"},{"doc":"Returns the caller's permissions on a resource. If the resource does not exist, an empty set of permissions is returned (We don't return a NOT_FOUND error). Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. A caller is not required to have Google IAM permission to make this request.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. entry_groups_id (type: String.t) - Part of resource. See documentation of projectsId. entries_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_entries_test_iam_permissions/7","type":"function"},{"doc":"Gets an EntryGroup.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the entry group. For example, projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}. locations_id (type: String.t) - Part of name. See documentation of projectsId. entry_groups_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :readMask (type: String.t) - The fields to return. If not set or empty, all fields are returned. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_get/6","type":"function"},{"doc":"Gets the access control policy for a resource. A NOT_FOUND error is returned if the resource does not exist. An empty policy is returned if the resource exists but does not have a policy set on it. Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. Callers must have following Google IAM permission - datacatalog.tagTemplates.getIamPolicy to get policies on tag templates. - datacatalog.entries.getIamPolicy to get policies on entries. - datacatalog.entryGroups.getIamPolicy to get policies on entry groups.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. entry_groups_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_get_iam_policy/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_get_iam_policy/6","type":"function"},{"doc":"Lists entry groups.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. The name of the location that contains the entry groups, which can be provided in URL format. Example: * projects/{project_id}/locations/{location} locations_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Optional. The maximum number of items to return. Default is 10. Max limit is 1000. Throws an invalid argument for page_size &gt; 1000. :pageToken (type: String.t) - Optional. Token that specifies which page is requested. If empty, the first page is returned. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_list/5","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_list/5","type":"function"},{"doc":"Updates an EntryGroup. The user should enable the Data Catalog API in the project identified by the entry_group.name parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of entryGroup.name. The resource name of the entry group in URL format. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id} Note that this EntryGroup and its child resources may not actually be stored in the location in this name. locations_id (type: String.t) - Part of entryGroup.name. See documentation of projectsId. entry_groups_id (type: String.t) - Part of entryGroup.name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - The fields to update on the entry group. If absent or empty, all modifiable fields are updated. :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_patch/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_patch/6","type":"function"},{"doc":"Sets the access control policy for a resource. Replaces any existing policy. Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. Callers must have following Google IAM permission - datacatalog.tagTemplates.setIamPolicy to set policies on tag templates. - datacatalog.entries.setIamPolicy to set policies on entries. - datacatalog.entryGroups.setIamPolicy to set policies on entry groups.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. entry_groups_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_set_iam_policy/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_set_iam_policy/6","type":"function"},{"doc":"Creates a tag on an Entry. Note: The project identified by the parent parameter for the tag and the tag template used to create the tag must be from the same organization.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. The name of the resource to attach this tag to. Tags can be attached to Entries. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id} Note that this Tag and its child resources may not actually be stored in the location in this name. locations_id (type: String.t) - Part of parent. See documentation of projectsId. entry_groups_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_create/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_create/6","type":"function"},{"doc":"Deletes a tag.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the tag to delete. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id}/tags/{tag_id} locations_id (type: String.t) - Part of name. See documentation of projectsId. entry_groups_id (type: String.t) - Part of name. See documentation of projectsId. tags_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_delete/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_delete/7","type":"function"},{"doc":"Lists the tags on an Entry.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. The name of the Data Catalog resource to list the tags of. The resource could be an Entry or an EntryGroup. Examples: projects/{project_id}/locations/{location}/entryGroups/{entry_group_id} projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id} locations_id (type: String.t) - Part of parent. See documentation of projectsId. entry_groups_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of tags to return. Default is 10. Max limit is 1000. :pageToken (type: String.t) - Token that specifies which page is requested. If empty, the first page is returned. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_list/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_list/6","type":"function"},{"doc":"Updates an existing tag.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of tag.name. The resource name of the tag in URL format. Example: * projects/{project_id}/locations/{location}/entrygroups/{entry_group_id}/entries/{entry_id}/tags/{tag_id} where tag_id is a system-generated identifier. Note that this Tag may not actually be stored in the location in this name. locations_id (type: String.t) - Part of tag.name. See documentation of projectsId. entry_groups_id (type: String.t) - Part of tag.name. See documentation of projectsId. tags_id (type: String.t) - Part of tag.name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - The fields to update on the Tag. If absent or empty, all modifiable fields are updated. Currently the only modifiable field is the field fields. :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_tags_patch/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_tags_patch/7","type":"function"},{"doc":"Returns the caller's permissions on a resource. If the resource does not exist, an empty set of permissions is returned (We don't return a NOT_FOUND error). Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. A caller is not required to have Google IAM permission to make this request.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. entry_groups_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_entry_groups_test_iam_permissions/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_entry_groups_test_iam_permissions/6","type":"function"},{"doc":"Creates a tag template. The user should enable the Data Catalog API in the project identified by the parent parameter (see Data Catalog Resource Project for more information).Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. The name of the project and the template location [region](https://cloud.google.com/data-catalog/docs/concepts/regions. Example: * projects/{project_id}/locations/us-central1 locations_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :tagTemplateId (type: String.t) - Required. The id of the tag template to create. :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_create/5","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_create/5","type":"function"},{"doc":"Deletes a tag template and all tags using the template. Users should enable the Data Catalog API in the project identified by the name parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the tag template to delete. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id} locations_id (type: String.t) - Part of name. See documentation of projectsId. tag_templates_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :force (type: boolean()) - Required. Currently, this field must always be set to true. This confirms the deletion of any possible tags using this template. force = false will be supported in the future. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_delete/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_delete/6","type":"function"},{"doc":"Creates a field in a tag template. The user should enable the Data Catalog API in the project identified by the parent parameter (see Data Catalog Resource Project for more information).Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. The name of the project and the template location region. Example: * projects/{project_id}/locations/us-central1/tagTemplates/{tag_template_id} locations_id (type: String.t) - Part of parent. See documentation of projectsId. tag_templates_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :tagTemplateFieldId (type: String.t) - Required. The ID of the tag template field to create. Field ids can contain letters (both uppercase and lowercase), numbers (0-9), underscores (_) and dashes (-). Field IDs must be at least 1 character long and at most 128 characters long. Field IDs must also be unique within their template. :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_create/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_create/6","type":"function"},{"doc":"Deletes a field in a tag template and all uses of that field. Users should enable the Data Catalog API in the project identified by the name parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the tag template field to delete. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id}/fields/{tag_template_field_id} locations_id (type: String.t) - Part of name. See documentation of projectsId. tag_templates_id (type: String.t) - Part of name. See documentation of projectsId. fields_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :force (type: boolean()) - Required. Currently, this field must always be set to true. This confirms the deletion of this field from any tags using this field. force = false will be supported in the future. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_delete/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_delete/7","type":"function"},{"doc":"Renames an enum value in a tag template. The enum values have to be unique within one enum field. Thus, an enum value cannot be renamed with a name used in any other enum value within the same enum field.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the enum field value. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id}/fields/{tag_template_field_id}/enumValues/{enum_value_display_name} locations_id (type: String.t) - Part of name. See documentation of projectsId. tag_templates_id (type: String.t) - Part of name. See documentation of projectsId. fields_id (type: String.t) - Part of name. See documentation of projectsId. enum_values_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_enum_values_rename/8","type":"function"},{"doc":"Updates a field in a tag template. This method cannot be used to update the field type. Users should enable the Data Catalog API in the project identified by the name parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the tag template field. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id}/fields/{tag_template_field_id} locations_id (type: String.t) - Part of name. See documentation of projectsId. tag_templates_id (type: String.t) - Part of name. See documentation of projectsId. fields_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Optional. The field mask specifies the parts of the template to be updated. Allowed fields: display_name type.enum_type * is_required If update_mask is not set or empty, all of the allowed fields above will be updated. When updating an enum type, the provided values will be merged with the existing values. Therefore, enum values can only be added, existing enum values cannot be deleted nor renamed. Updating a template field from optional to required is NOT allowed. :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_patch/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_patch/7","type":"function"},{"doc":"Renames a field in a tag template. The user should enable the Data Catalog API in the project identified by the name parameter (see Data Catalog Resource Project for more information).Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the tag template. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id}/fields/{tag_template_field_id} locations_id (type: String.t) - Part of name. See documentation of projectsId. tag_templates_id (type: String.t) - Part of name. See documentation of projectsId. fields_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_fields_rename/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_fields_rename/7","type":"function"},{"doc":"Gets a tag template.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The name of the tag template. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id} locations_id (type: String.t) - Part of name. See documentation of projectsId. tag_templates_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_get/6","type":"function"},{"doc":"Gets the access control policy for a resource. A NOT_FOUND error is returned if the resource does not exist. An empty policy is returned if the resource exists but does not have a policy set on it. Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. Callers must have following Google IAM permission - datacatalog.tagTemplates.getIamPolicy to get policies on tag templates. - datacatalog.entries.getIamPolicy to get policies on entries. - datacatalog.entryGroups.getIamPolicy to get policies on entry groups.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. tag_templates_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_get_iam_policy/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_get_iam_policy/6","type":"function"},{"doc":"Updates a tag template. This method cannot be used to update the fields of a template. The tag template fields are represented as separate resources and should be updated using their own create/update/delete methods. Users should enable the Data Catalog API in the project identified by the tag_template.name parameter (see [Data Catalog Resource Project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project) for more information).Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of tagTemplate.name. The resource name of the tag template in URL format. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id} Note that this TagTemplate and its child resources may not actually be stored in the location in this name. locations_id (type: String.t) - Part of tagTemplate.name. See documentation of projectsId. tag_templates_id (type: String.t) - Part of tagTemplate.name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - The field mask specifies the parts of the template to overwrite. Allowed fields: * display_name If absent or empty, all of the allowed fields above will be updated. :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_patch/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_patch/6","type":"function"},{"doc":"Sets the access control policy for a resource. Replaces any existing policy. Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. Callers must have following Google IAM permission - datacatalog.tagTemplates.setIamPolicy to set policies on tag templates. - datacatalog.entries.setIamPolicy to set policies on entries. - datacatalog.entryGroups.setIamPolicy to set policies on entry groups.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. tag_templates_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_set_iam_policy/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_set_iam_policy/6","type":"function"},{"doc":"Returns the caller's permissions on a resource. If the resource does not exist, an empty set of permissions is returned (We don't return a NOT_FOUND error). Supported resources are: - Tag templates. - Entries. - Entry groups. Note, this method cannot be used to manage policies for BigQuery, Pub/Sub and any external Google Cloud Platform resources synced to Data Catalog. A caller is not required to have Google IAM permission to make this request.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. tag_templates_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_tag_templates_test_iam_permissions/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_tag_templates_test_iam_permissions/6","type":"function"},{"doc":"Creates a taxonomy in the specified project.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. Resource name of the project that the taxonomy will belong to. locations_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_create/5","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_create/5","type":"function"},{"doc":"Deletes a taxonomy. This operation will also delete all policy tags in this taxonomy along with their associated policies.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. Resource name of the taxonomy to be deleted. All policy tags in this taxonomy will also be deleted. locations_id (type: String.t) - Part of name. See documentation of projectsId. taxonomies_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_delete/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_delete/6","type":"function"},{"doc":"Exports all taxonomies and their policy tags in a project. This method generates SerializedTaxonomy protos with nested policy tags that can be used as an input for future ImportTaxonomies calls.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. Resource name of the project that taxonomies to be exported will share. locations_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :serializedTaxonomies (type: boolean()) - Export taxonomies as serialized taxonomies. :taxonomies (type: list(String.t)) - Required. Resource names of the taxonomies to be exported. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_export/5","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_export/5","type":"function"},{"doc":"Gets a taxonomy.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. Resource name of the requested taxonomy. locations_id (type: String.t) - Part of name. See documentation of projectsId. taxonomies_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_get/6","type":"function"},{"doc":"Gets the IAM policy for a taxonomy or a policy tag.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. taxonomies_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_get_iam_policy/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_get_iam_policy/6","type":"function"},{"doc":"Imports all taxonomies and their policy tags to a project as new taxonomies. This method provides a bulk taxonomy / policy tag creation using nested proto structure.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. Resource name of project that the imported taxonomies will belong to. locations_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_import/5","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_import/5","type":"function"},{"doc":"Lists all taxonomies in a project in a particular location that the caller has permission to view.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. Resource name of the project to list the taxonomies of. locations_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of items to return. Must be a value between 1 and 1000. If not set, defaults to 50. :pageToken (type: String.t) - The next_page_token value returned from a previous list request, if any. If not set, defaults to an empty string. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_list/5","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_list/5","type":"function"},{"doc":"Updates a taxonomy.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of taxonomy.name. Output only. Resource name of this taxonomy, whose format is: &quot;projects/{project_number}/locations/{location_id}/taxonomies/{id}&quot;. locations_id (type: String.t) - Part of taxonomy.name. See documentation of projectsId. taxonomies_id (type: String.t) - Part of taxonomy.name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - The update mask applies to the resource. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask If not set, defaults to all of the fields that are allowed to update. :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_patch/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_patch/6","type":"function"},{"doc":"Creates a policy tag in the specified taxonomy.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. Resource name of the taxonomy that the policy tag will belong to. locations_id (type: String.t) - Part of parent. See documentation of projectsId. taxonomies_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_create/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_create/6","type":"function"},{"doc":"Deletes a policy tag. Also deletes all of its descendant policy tags.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. Resource name of the policy tag to be deleted. All of its descendant policy tags will also be deleted. locations_id (type: String.t) - Part of name. See documentation of projectsId. taxonomies_id (type: String.t) - Part of name. See documentation of projectsId. policy_tags_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_delete/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_delete/7","type":"function"},{"doc":"Gets a policy tag.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. Resource name of the requested policy tag. locations_id (type: String.t) - Part of name. See documentation of projectsId. taxonomies_id (type: String.t) - Part of name. See documentation of projectsId. policy_tags_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get/7","type":"function"},{"doc":"Gets the IAM policy for a taxonomy or a policy tag.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. taxonomies_id (type: String.t) - Part of resource. See documentation of projectsId. policy_tags_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_get_iam_policy/7","type":"function"},{"doc":"Lists all policy tags in a taxonomy.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. Resource name of the taxonomy to list the policy tags of. locations_id (type: String.t) - Part of parent. See documentation of projectsId. taxonomies_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of items to return. Must be a value between 1 and 1000. If not set, defaults to 50. :pageToken (type: String.t) - The next_page_token value returned from a previous List request, if any. If not set, defaults to an empty string. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_list/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_list/6","type":"function"},{"doc":"Updates a policy tag.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of policyTag.name. Output only. Resource name of this policy tag, whose format is: &quot;projects/{project_number}/locations/{location_id}/taxonomies/{taxonomy_id}/policyTags/{id}&quot;. locations_id (type: String.t) - Part of policyTag.name. See documentation of projectsId. taxonomies_id (type: String.t) - Part of policyTag.name. See documentation of projectsId. policy_tags_id (type: String.t) - Part of policyTag.name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - The update mask applies to the resource. Only display_name, description and parent_policy_tag can be updated and thus can be listed in the mask. If update_mask is not provided, all allowed fields (i.e. display_name, description and parent) will be updated. For more information including the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask If not set, defaults to all of the fields that are allowed to update. :body (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_patch/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_patch/7","type":"function"},{"doc":"Sets the IAM policy for a taxonomy or a policy tag.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. taxonomies_id (type: String.t) - Part of resource. See documentation of projectsId. policy_tags_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_set_iam_policy/7","type":"function"},{"doc":"Returns the permissions that a caller has on the specified taxonomy or policy tag.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. taxonomies_id (type: String.t) - Part of resource. See documentation of projectsId. policy_tags_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_policy_tags_test_iam_permissions/7","type":"function"},{"doc":"Sets the IAM policy for a taxonomy or a policy tag.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. taxonomies_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.Policy{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_set_iam_policy/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_set_iam_policy/6","type":"function"},{"doc":"Returns the permissions that a caller has on the specified taxonomy or policy tag.Parameters connection (type: GoogleApi.DataCatalog.V1beta1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. locations_id (type: String.t) - Part of resource. See documentation of projectsId. taxonomies_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.DataCatalog.V1beta1.Api.Projects.html#datacatalog_projects_locations_taxonomies_test_iam_permissions/6","title":"GoogleApi.DataCatalog.V1beta1.Api.Projects.datacatalog_projects_locations_taxonomies_test_iam_permissions/6","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.DataCatalog.V1beta1.","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html","title":"GoogleApi.DataCatalog.V1beta1.Connection","type":"module"},{"doc":"Perform a DELETE request.See request/1 or request/2 for options definition.delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#delete/3","title":"GoogleApi.DataCatalog.V1beta1.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request.See request!/1 or request!/2 for options definition.delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#delete!/3","title":"GoogleApi.DataCatalog.V1beta1.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connectionReturns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#execute/2","title":"GoogleApi.DataCatalog.V1beta1.Connection.execute/2","type":"function"},{"doc":"Perform a GET request.See request/1 or request/2 for options definition.get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#get/3","title":"GoogleApi.DataCatalog.V1beta1.Connection.get/3","type":"function"},{"doc":"Perform a GET request.See request!/1 or request!/2 for options definition.get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#get!/3","title":"GoogleApi.DataCatalog.V1beta1.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request.See request/1 or request/2 for options definition.head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#head/3","title":"GoogleApi.DataCatalog.V1beta1.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request.See request!/1 or request!/2 for options definition.head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#head!/3","title":"GoogleApi.DataCatalog.V1beta1.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connectionReturns Tesla.Env.client","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#new/0","title":"GoogleApi.DataCatalog.V1beta1.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token.Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopesReturns Tesla.Env.client","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#new/1","title":"GoogleApi.DataCatalog.V1beta1.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request.See request/1 or request/2 for options definition.options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#options/3","title":"GoogleApi.DataCatalog.V1beta1.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request.See request!/1 or request!/2 for options definition.options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#options!/3","title":"GoogleApi.DataCatalog.V1beta1.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request.See request/1 or request/2 for options definition.patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#patch/4","title":"GoogleApi.DataCatalog.V1beta1.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request.See request!/1 or request!/2 for options definition.patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#patch!/4","title":"GoogleApi.DataCatalog.V1beta1.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request.See request/1 or request/2 for options definition.post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#post/4","title":"GoogleApi.DataCatalog.V1beta1.Connection.post/4","type":"function"},{"doc":"Perform a POST request.See request!/1 or request!/2 for options definition.post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#post!/4","title":"GoogleApi.DataCatalog.V1beta1.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request.See request/1 or request/2 for options definition.put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#put/4","title":"GoogleApi.DataCatalog.V1beta1.Connection.put/4","type":"function"},{"doc":"Perform a PUT request.See request!/1 or request!/2 for options definition.put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#put!/4","title":"GoogleApi.DataCatalog.V1beta1.Connection.put!/4","type":"function"},{"doc":"Perform a request.Options:method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch]:url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl:query - a keyword list of query params, e.g. [page: 1, per_page: 100]:headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}]:body - depends on used middleware:by default it can be a binaryif using e.g. JSON encoding middleware it can be a nested mapif adapter supports it it can be a Stream with any of the above:opts - custom, per-request middleware or adapter optionsExamplesExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#request/2","title":"GoogleApi.DataCatalog.V1beta1.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error.This is similar to request/2 behaviour from Tesla 0.xSee request/2 for list of available options.","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#request!/2","title":"GoogleApi.DataCatalog.V1beta1.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request.See request/1 or request/2 for options definition.trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#trace/3","title":"GoogleApi.DataCatalog.V1beta1.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request.See request!/1 or request!/2 for options definition.trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#trace!/3","title":"GoogleApi.DataCatalog.V1beta1.Connection.trace!/3","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#t:option/0","title":"GoogleApi.DataCatalog.V1beta1.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Connection.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Connection.t/0","type":"type"},{"doc":"Associates members with a role.Attributes bindingId (type: String.t, default: nil) - A client-specified ID for this binding. Expected to be globally unique to support the internal bindings-by-ID API. condition (type: GoogleApi.DataCatalog.V1beta1.Model.Expr.t, default: nil) - The condition that is associated with this binding. If the condition evaluates to true, then this binding applies to the current request. If the condition evaluates to false, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the members in this binding. To learn which resources support conditions in their IAM policies, see the IAM documentation. members (type: list(String.t), default: nil) - Specifies the identities requesting access for a Cloud Platform resource. members can have the following values: allUsers: A special identifier that represents anyone who is on the internet; with or without a Google account. allAuthenticatedUsers: A special identifier that represents anyone who is authenticated with a Google account or a service account. user:{emailid}: An email address that represents a specific Google account. For example, alice@example.com . serviceAccount:{emailid}: An email address that represents a service account. For example, my-other-app@appspot.gserviceaccount.com. group:{emailid}: An email address that represents a Google group. For example, admins@example.com. deleted:user:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a user that has been recently deleted. For example, alice@example.com?uid=123456789012345678901. If the user is recovered, this value reverts to user:{emailid} and the recovered user retains the role in the binding. deleted:serviceAccount:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901. If the service account is undeleted, this value reverts to serviceAccount:{emailid} and the undeleted service account retains the role in the binding. deleted:group:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, admins@example.com?uid=123456789012345678901. If the group is recovered, this value reverts to group:{emailid} and the recovered group retains the role in the binding. * domain:{domain}: The G Suite domain (primary) that represents all the users of that domain. For example, google.com or example.com. role (type: String.t, default: nil) - Role that is assigned to members. For example, roles/viewer, roles/editor, or roles/owner.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Binding.html","title":"GoogleApi.DataCatalog.V1beta1.Model.Binding","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Binding.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.Binding.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.Binding.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.Binding.t/0","type":"type"},{"doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for Empty is empty JSON object {}.Attributes","ref":"GoogleApi.DataCatalog.V1beta1.Model.Empty.html","title":"GoogleApi.DataCatalog.V1beta1.Model.Empty","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Empty.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.Empty.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.Empty.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.Empty.t/0","type":"type"},{"doc":"Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: &quot;Summary size limit&quot; description: &quot;Determines if a summary is less than 100 chars&quot; expression: &quot;document.summary.size() &lt; 100&quot; Example (Equality): title: &quot;Requestor is owner&quot; description: &quot;Determines if requestor is the document owner&quot; expression: &quot;document.owner == request.auth.claims.email&quot; Example (Logic): title: &quot;Public documents&quot; description: &quot;Determine whether the document should be publicly visible&quot; expression: &quot;document.type != 'private' &amp;&amp; document.type != 'internal'&quot; Example (Data Manipulation): title: &quot;Notification string&quot; description: &quot;Create a notification string with a timestamp.&quot; expression: &quot;'New message received at ' + string(document.create_time)&quot; The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.Attributes description (type: String.t, default: nil) - Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI. expression (type: String.t, default: nil) - Textual representation of an expression in Common Expression Language syntax. location (type: String.t, default: nil) - Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file. title (type: String.t, default: nil) - Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Expr.html","title":"GoogleApi.DataCatalog.V1beta1.Model.Expr","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Expr.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.Expr.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.Expr.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.Expr.t/0","type":"type"},{"doc":"Request message for GetIamPolicy method.Attributes options (type: GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions.t, default: nil) - OPTIONAL: A GetPolicyOptions object for specifying options to GetIamPolicy.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GetIamPolicyRequest.t/0","type":"type"},{"doc":"Encapsulates settings provided to GetIamPolicy.Attributes requestedPolicyVersion (type: integer(), default: nil) - Optional. The policy format version to be returned. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional bindings must specify version 3. Policies without any conditional bindings may specify any valid value or leave the field unset. To learn which resources support conditions in their IAM policies, see the IAM documentation.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GetPolicyOptions.t/0","type":"type"},{"doc":"Spec for a group of BigQuery tables with name pattern [prefix]YYYYMMDD. Context: https://cloud.google.com/bigquery/docs/partitioned-tables#partitioning_versus_shardingAttributes dataset (type: String.t, default: nil) - Output only. The Data Catalog resource name of the dataset entry the current table belongs to, for example, projects/{project_id}/locations/{location}/entrygroups/{entry_group_id}/entries/{entry_id}. shardCount (type: String.t, default: nil) - Output only. Total number of shards. tablePrefix (type: String.t, default: nil) - Output only. The table name prefix of the shards. The name of any given shard is [table_prefix]YYYYMMDD, for example, for shard MyTable20180101, the table_prefix is MyTable.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec.t/0","type":"type"},{"doc":"Describes a BigQuery table.Attributes tableSourceType (type: String.t, default: nil) - Output only. The table source type. tableSpec (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec.t, default: nil) - Spec of a BigQuery table. This field should only be populated if table_source_type is BIGQUERY_TABLE. viewSpec (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec.t, default: nil) - Table view specification. This field should only be populated if table_source_type is BIGQUERY_VIEW.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec.t/0","type":"type"},{"doc":"Representation of a column within a schema. Columns could be nested inside other columns.Attributes column (type: String.t, default: nil) - Required. Name of the column. description (type: String.t, default: nil) - Optional. Description of the column. Default value is an empty string. mode (type: String.t, default: nil) - Optional. A column's mode indicates whether the values in this column are required, nullable, etc. Only NULLABLE, REQUIRED and REPEATED are supported. Default mode is NULLABLE. subcolumns (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.t), default: nil) - Optional. Schema of sub-columns. A column can have zero or more sub-columns. type (type: String.t, default: nil) - Required. Type of the column.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.t/0","type":"type"},{"doc":"Entry Metadata. A Data Catalog Entry resource represents another resource in Google Cloud Platform (such as a BigQuery dataset or a Pub/Sub topic), or outside of Google Cloud Platform. Clients can use the linked_resource field in the Entry resource to refer to the original resource ID of the source system. An Entry resource contains resource details, such as its schema. An Entry can also be used to attach flexible metadata, such as a Tag.Attributes bigqueryDateShardedSpec (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryDateShardedSpec.t, default: nil) - Specification for a group of BigQuery tables with name pattern [prefix]YYYYMMDD. Context: https://cloud.google.com/bigquery/docs/partitioned-tables#partitioning_versus_sharding. bigqueryTableSpec (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1BigQueryTableSpec.t, default: nil) - Specification that applies to a BigQuery table. This is only valid on entries of type TABLE. description (type: String.t, default: nil) - Entry description, which can consist of several sentences or paragraphs that describe entry contents. Default value is an empty string. displayName (type: String.t, default: nil) - Display information such as title and description. A short name to identify the entry, for example, &quot;Analytics Data - Jan 2011&quot;. Default value is an empty string. gcsFilesetSpec (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec.t, default: nil) - Specification that applies to a Cloud Storage fileset. This is only valid on entries of type FILESET. integratedSystem (type: String.t, default: nil) - Output only. This field indicates the entry's source system that Data Catalog integrates with, such as BigQuery or Pub/Sub. linkedResource (type: String.t, default: nil) - The resource this metadata entry refers to. For Google Cloud Platform resources, linked_resource is the full name of the resource. For example, the linked_resource for a table resource from BigQuery is: * //bigquery.googleapis.com/projects/projectId/datasets/datasetId/tables/tableId Output only when Entry is of type in the EntryType enum. For entries with user_specified_type, this field is optional and defaults to an empty string. name (type: String.t, default: nil) - The Data Catalog resource name of the entry in URL format. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id}/entries/{entry_id} Note that this Entry and its child resources may not actually be stored in the location in this name. schema (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema.t, default: nil) - Schema of the entry. An entry might not have any schema attached to it. sourceSystemTimestamps (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.t, default: nil) - Output only. Timestamps about the underlying resource, not about this Data Catalog entry. Output only when Entry is of type in the EntryType enum. For entries with user_specified_type, this field is optional and defaults to an empty timestamp. type (type: String.t, default: nil) - The type of the entry. Only used for Entries with types in the EntryType enum. userSpecifiedSystem (type: String.t, default: nil) - This field indicates the entry's source system that Data Catalog does not integrate with. user_specified_system strings must begin with a letter or underscore and can only contain letters, numbers, and underscores; are case insensitive; must be at least 1 character and at most 64 characters long. userSpecifiedType (type: String.t, default: nil) - Entry type if it does not fit any of the input-allowed values listed in EntryType enum above. When creating an entry, users should check the enum values first, if nothing matches the entry to be created, then provide a custom value, for example &quot;my_special_type&quot;. user_specified_type strings must begin with a letter or underscore and can only contain letters, numbers, and underscores; are case insensitive; must be at least 1 character and at most 64 characters long. Currently, only FILESET enum value is allowed. All other entries created through Data Catalog must use user_specified_type.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.t/0","type":"type"},{"doc":"EntryGroup Metadata. An EntryGroup resource represents a logical grouping of zero or more Data Catalog Entry resources.Attributes dataCatalogTimestamps (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.t, default: nil) - Output only. Timestamps about this EntryGroup. Default value is empty timestamps. description (type: String.t, default: nil) - Entry group description, which can consist of several sentences or paragraphs that describe entry group contents. Default value is an empty string. displayName (type: String.t, default: nil) - A short name to identify the entry group, for example, &quot;analytics data - jan 2011&quot;. Default value is an empty string. name (type: String.t, default: nil) - The resource name of the entry group in URL format. Example: * projects/{project_id}/locations/{location}/entryGroups/{entry_group_id} Note that this EntryGroup and its child resources may not actually be stored in the location in this name.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.t/0","type":"type"},{"doc":"Response message for ExportTaxonomies.Attributes taxonomies (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.t), default: nil) - List of taxonomies and policy tags in a tree structure.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ExportTaxonomiesResponse.t/0","type":"type"},{"doc":"Attributes enumType (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType.t, default: nil) - Represents an enum type. primitiveType (type: String.t, default: nil) - Represents primitive types - string, bool etc.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType.t/0","type":"type"},{"doc":"Attributes allowedValues (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue.t), default: nil) - The set of allowed values for this enum. This set must not be empty, the display names of the values in this set must not be empty and the display names of the values must be case-insensitively unique within this set. The order of items in this list is preserved. This field can be used to Required on create; optional on update. The set of allowed values for this enum. This set must not be empty, the display names of the values in this set must not be empty and the display names of the values must be case-insensitively unique within this set. Currently, enum values can only be added to the list of allowed values. Deletion and renaming of enum values are not supported. Can have up to 500 allowed values.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumType.t/0","type":"type"},{"doc":"Attributes displayName (type: String.t, default: nil) - Required. The display name of the enum value. Must not be an empty string.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldTypeEnumTypeEnumValue.t/0","type":"type"},{"doc":"Specifications of a single file in Cloud Storage.Attributes filePath (type: String.t, default: nil) - Required. The full file path. Example: gs://bucket_name/a/b.txt. gcsTimestamps (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.t, default: nil) - Output only. Timestamps about the Cloud Storage file. sizeBytes (type: String.t, default: nil) - Output only. The size of the file, in bytes.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec.t/0","type":"type"},{"doc":"Describes a Cloud Storage fileset entry.Attributes filePatterns (type: list(String.t), default: nil) - Required. Patterns to identify a set of files in Google Cloud Storage. See Cloud Storage documentation for more information. Note that bucket wildcards are currently not supported. Examples of valid file_patterns: `gs://bucket_name/dir/: matches all files withinbucket_name/dirdirectory. *gs://bucket_name/dir/*: matches all files inbucket_name/dir` spanning all subdirectories. gs://bucket_name/file*: matches files prefixed by file in bucket_name gs://bucket_name/??.txt: matches files with two characters followed by .txt in bucket_name gs://bucket_name/[aeiou].txt: matches files that contain a single vowel character followed by .txt in bucket_name gs://bucket_name/[a-m].txt: matches files that contain a, b, ... or m followed by .txt in bucket_name gs://bucket_name/a/*/b: matches all files in bucket_name that match a/*/b pattern, such as a/c/b, a/d/b gs://another_bucket/a.txt: matches gs://another_bucket/a.txt You can combine wildcards to provide more powerful matches, for example: gs://bucket_name/[a-m]??.j*g sampleGcsFileSpecs (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFileSpec.t), default: nil) - Output only. Sample files contained in this fileset, not all files contained in this fileset are represented here.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1GcsFilesetSpec.t/0","type":"type"},{"doc":"Request message for ImportTaxonomies.Attributes inlineSource (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource.t, default: nil) - Inline source used for taxonomies to be imported.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesRequest.t/0","type":"type"},{"doc":"Response message for ImportTaxonomies.Attributes taxonomies (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.t), default: nil) - Taxonomies that were imported.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ImportTaxonomiesResponse.t/0","type":"type"},{"doc":"Inline source used for taxonomies import.Attributes taxonomies (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.t), default: nil) - Required. Taxonomies to be imported.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1InlineSource.t/0","type":"type"},{"doc":"Response message for ListEntries.Attributes entries (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Entry.t), default: nil) - Entry details. nextPageToken (type: String.t, default: nil) - Token to retrieve the next page of results. It is set to empty if no items remain in results.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntriesResponse.t/0","type":"type"},{"doc":"Response message for ListEntryGroups.Attributes entryGroups (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1EntryGroup.t), default: nil) - EntryGroup details. nextPageToken (type: String.t, default: nil) - Token to retrieve the next page of results. It is set to empty if no items remain in results.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListEntryGroupsResponse.t/0","type":"type"},{"doc":"Response message for ListPolicyTags.Attributes nextPageToken (type: String.t, default: nil) - Token used to retrieve the next page of results, or empty if there are no more results in the list. policyTags (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.t), default: nil) - The policy tags that are in the requested taxonomy.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListPolicyTagsResponse.t/0","type":"type"},{"doc":"Response message for ListTags.Attributes nextPageToken (type: String.t, default: nil) - Token to retrieve the next page of results. It is set to empty if no items remain in results. tags (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.t), default: nil) - Tag details.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTagsResponse.t/0","type":"type"},{"doc":"Response message for ListTaxonomies.Attributes nextPageToken (type: String.t, default: nil) - Token used to retrieve the next page of results, or empty if there are no more results in the list. taxonomies (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.t), default: nil) - Taxonomies that the project contains.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ListTaxonomiesResponse.t/0","type":"type"},{"doc":"Denotes one policy tag in a taxonomy (e.g. ssn). Policy Tags can be defined in a hierarchy. For example, consider the following hierarchy: Geolocation -&gt; (LatLong, City, ZipCode). PolicyTag &quot;Geolocation&quot; contains three child policy tags: &quot;LatLong&quot;, &quot;City&quot;, and &quot;ZipCode&quot;.Attributes childPolicyTags (type: list(String.t), default: nil) - Output only. Resource names of child policy tags of this policy tag. description (type: String.t, default: nil) - Description of this policy tag. It must: contain only unicode characters, tabs, newlines, carriage returns and page breaks; and be at most 2000 bytes long when encoded in UTF-8. If not set, defaults to an empty description. If not set, defaults to an empty description. displayName (type: String.t, default: nil) - Required. User defined name of this policy tag. It must: be unique within the parent taxonomy; contain only unicode letters, numbers, underscores, dashes and spaces; not start or end with spaces; and be at most 200 bytes long when encoded in UTF-8. name (type: String.t, default: nil) - Output only. Resource name of this policy tag, whose format is: &quot;projects/{project_number}/locations/{location_id}/taxonomies/{taxonomy_id}/policyTags/{id}&quot;. parentPolicyTag (type: String.t, default: nil) - Resource name of this policy tag's parent policy tag (e.g. for the &quot;LatLong&quot; policy tag in the example above, this field contains the resource name of the &quot;Geolocation&quot; policy tag). If empty, it means this policy tag is a top level policy tag (e.g. this field is empty for the &quot;Geolocation&quot; policy tag in the example above). If not set, defaults to an empty string.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1PolicyTag.t/0","type":"type"},{"doc":"Request message for RenameTagTemplateFieldEnumValue.Attributes newEnumValueDisplayName (type: String.t, default: nil) - Required. The new display name of the enum value. For example, my_new_enum_value.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldEnumValueRequest.t/0","type":"type"},{"doc":"Request message for RenameTagTemplateField.Attributes newTagTemplateFieldId (type: String.t, default: nil) - Required. The new ID of this tag template field. For example, my_new_field.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1RenameTagTemplateFieldRequest.t/0","type":"type"},{"doc":"Represents a schema (e.g. BigQuery, GoogleSQL, Avro schema).Attributes columns (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ColumnSchema.t), default: nil) - Required. Schema of columns. A maximum of 10,000 columns and sub-columns can be specified.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Schema.t/0","type":"type"},{"doc":"Request message for SearchCatalog.Attributes orderBy (type: String.t, default: nil) - Specifies the ordering of results, currently supported case-sensitive choices are: relevance, only supports descending last_modified_timestamp [asc|desc], defaults to descending if not specified If not specified, defaults to relevance descending. pageSize (type: integer(), default: nil) - Number of results in the search page. If &lt;=0 then defaults to 10. Max limit for page_size is 1000. Throws an invalid argument for page_size &gt; 1000. pageToken (type: String.t, default: nil) - Optional. Pagination token returned in an earlier SearchCatalogResponse.next_page_token, which indicates that this is a continuation of a prior SearchCatalogRequest call, and that the system should return the next page of data. If empty, the first page is returned. query (type: String.t, default: nil) - Optional. The query string in search query syntax. An empty query string will result in all data assets (in the specified scope) that the user has access to. Query strings can be simple as &quot;x&quot; or more qualified as: name:x column:x * description:y Note: Query tokens need to have a minimum of 3 characters for substring matching to work correctly. See Data Catalog Search Syntax for more information. scope (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope.t, default: nil) - Required. The scope of this search request. A scope that has empty include_org_ids, include_project_ids AND false include_gcp_public_datasets is considered invalid. Data Catalog will return an error in such a case.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequest.t/0","type":"type"},{"doc":"The criteria that select the subspace used for query matching.Attributes includeGcpPublicDatasets (type: boolean(), default: nil) - If true, include Google Cloud Platform (GCP) public datasets in the search results. Info on GCP public datasets is available at https://cloud.google.com/public-datasets/. By default, GCP public datasets are excluded. includeOrgIds (type: list(String.t), default: nil) - The list of organization IDs to search within. To find your organization ID, follow instructions in https://cloud.google.com/resource-manager/docs/creating-managing-organization. includeProjectIds (type: list(String.t), default: nil) - The list of project IDs to search within. To learn more about the distinction between project names/IDs/numbers, go to https://cloud.google.com/docs/overview/#projects. restrictedLocations (type: list(String.t), default: nil) - Optional. The list of locations to search within. 1. If empty, search will be performed in all locations; 2. If any of the locations are NOT in the valid locations list, error will be returned; 3. Otherwise, search only the given locations for matching results. Typical usage is to leave this field empty. When a location is unreachable as returned in the SearchCatalogResponse.unreachable field, users can repeat the search request with this parameter set to get additional information on the error. Valid locations: asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-southeast1 australia-southeast1 eu europe-north1 europe-west1 europe-west2 europe-west3 europe-west4 europe-west6 global northamerica-northeast1 southamerica-east1 us us-central1 us-east1 us-east4 us-west1 us-west2","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogRequestScope.t/0","type":"type"},{"doc":"Response message for SearchCatalog.Attributes nextPageToken (type: String.t, default: nil) - The token that can be used to retrieve the next page of results. results (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult.t), default: nil) - Search results. unreachable (type: list(String.t), default: nil) - Unreachable locations. Search result does not include data from those locations. Users can get additional information on the error by repeating the search request with a more restrictive parameter -- setting the value for SearchDataCatalogRequest.scope.restricted_locations.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResponse.t/0","type":"type"},{"doc":"A result that appears in the response of a search request. Each result captures details of one entry that matches the search.Attributes linkedResource (type: String.t, default: nil) - The full name of the cloud resource the entry belongs to. See: https://cloud.google.com/apis/design/resource_names#full_resource_name. Example: * //bigquery.googleapis.com/projects/projectId/datasets/datasetId/tables/tableId relativeResourceName (type: String.t, default: nil) - The relative resource name of the resource in URL format. Examples: projects/{project_id}/locations/{location_id}/entryGroups/{entry_group_id}/entries/{entry_id} projects/{project_id}/tagTemplates/{tag_template_id} searchResultSubtype (type: String.t, default: nil) - Sub-type of the search result. This is a dot-delimited description of the resource's full type, and is the same as the value callers would provide in the &quot;type&quot; search facet. Examples: entry.table, entry.dataStream, tagTemplate. searchResultType (type: String.t, default: nil) - Type of the search result. This field can be used to determine which Get method to call to fetch the full resource.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SearchCatalogResult.t/0","type":"type"},{"doc":"Message representing one policy tag when exported as a nested proto.Attributes childPolicyTags (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.t), default: nil) - Children of the policy tag if any. description (type: String.t, default: nil) - Description of the serialized policy tag. The length of the description is limited to 2000 bytes when encoded in UTF-8. If not set, defaults to an empty description. displayName (type: String.t, default: nil) - Required. Display name of the policy tag. Max 200 bytes when encoded in UTF-8. policyTag (type: String.t, default: nil) - Resource name of the policy tag. This field will be ignored when calling ImportTaxonomies.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.t/0","type":"type"},{"doc":"Message capturing a taxonomy and its policy tag hierarchy as a nested proto. Used for taxonomy import/export and mutation.Attributes activatedPolicyTypes (type: list(String.t), default: nil) - A list of policy types that are activated for a taxonomy. description (type: String.t, default: nil) - Description of the serialized taxonomy. The length of the description is limited to 2000 bytes when encoded in UTF-8. If not set, defaults to an empty description. displayName (type: String.t, default: nil) - Required. Display name of the taxonomy. Max 200 bytes when encoded in UTF-8. policyTags (type: list(GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedPolicyTag.t), default: nil) - Top level policy tags associated with the taxonomy if any.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SerializedTaxonomy.t/0","type":"type"},{"doc":"Timestamps about this resource according to a particular system.Attributes createTime (type: DateTime.t, default: nil) - The creation time of the resource within the given system. expireTime (type: DateTime.t, default: nil) - Output only. The expiration time of the resource within the given system. Currently only apllicable to BigQuery resources. updateTime (type: DateTime.t, default: nil) - The last-modified time of the resource within the given system.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.t/0","type":"type"},{"doc":"Normal BigQuery table spec.Attributes groupedEntry (type: String.t, default: nil) - Output only. If the table is a dated shard, i.e., with name pattern [prefix]YYYYMMDD, grouped_entry is the Data Catalog resource name of the date sharded grouped entry, for example, projects/{project_id}/locations/{location}/entrygroups/{entry_group_id}/entries/{entry_id}. Otherwise, grouped_entry is empty.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TableSpec.t/0","type":"type"},{"doc":"Tags are used to attach custom metadata to Data Catalog resources. Tags conform to the specifications within their tag template. See Data Catalog IAM for information on the permissions needed to create or view tags.Attributes column (type: String.t, default: nil) - Resources like Entry can have schemas associated with them. This scope allows users to attach tags to an individual column based on that schema. For attaching a tag to a nested column, use . to separate the column names. Example: * outer_column.inner_column fields (type: %{optional(String.t) =&gt; GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField.t}, default: nil) - Required. This maps the ID of a tag field to the value of and additional information about that field. Valid field IDs are defined by the tag's template. A tag must have at least 1 field and at most 500 fields. name (type: String.t, default: nil) - The resource name of the tag in URL format. Example: * projects/{project_id}/locations/{location}/entrygroups/{entry_group_id}/entries/{entry_id}/tags/{tag_id} where tag_id is a system-generated identifier. Note that this Tag may not actually be stored in the location in this name. template (type: String.t, default: nil) - Required. The resource name of the tag template that this tag uses. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id} This field cannot be modified after creation. templateDisplayName (type: String.t, default: nil) - Output only. The display name of the tag template.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Tag.t/0","type":"type"},{"doc":"Contains the value and supporting information for a field within a Tag.Attributes boolValue (type: boolean(), default: nil) - Holds the value for a tag field with boolean type. displayName (type: String.t, default: nil) - Output only. The display name of this field. doubleValue (type: float(), default: nil) - Holds the value for a tag field with double type. enumValue (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue.t, default: nil) - Holds the value for a tag field with enum type. This value must be one of the allowed values in the definition of this enum. order (type: integer(), default: nil) - Output only. The order of this field with respect to other fields in this tag. It can be set in Tag. For example, a higher value can indicate a more important field. The value can be negative. Multiple fields can have the same order, and field orders within a tag do not have to be sequential. stringValue (type: String.t, default: nil) - Holds the value for a tag field with string type. timestampValue (type: DateTime.t, default: nil) - Holds the value for a tag field with timestamp type.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagField.t/0","type":"type"},{"doc":"Holds an enum value.Attributes displayName (type: String.t, default: nil) - The display name of the enum value.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagFieldEnumValue.t/0","type":"type"},{"doc":"A tag template defines a tag, which can have one or more typed fields. The template is used to create and attach the tag to GCP resources. Tag template roles provide permissions to create, edit, and use the template. See, for example, the TagTemplate User role, which includes permission to use the tag template to tag resources.Attributes displayName (type: String.t, default: nil) - The display name for this template. Defaults to an empty string. fields (type: %{optional(String.t) =&gt; GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.t}, default: nil) - Required. Map of tag template field IDs to the settings for the field. This map is an exhaustive list of the allowed fields. This map must contain at least one field and at most 500 fields. The keys to this map are tag template field IDs. Field IDs can contain letters (both uppercase and lowercase), numbers (0-9) and underscores (_). Field IDs must be at least 1 character long and at most 64 characters long. Field IDs must start with a letter or underscore. name (type: String.t, default: nil) - The resource name of the tag template in URL format. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template_id} Note that this TagTemplate and its child resources may not actually be stored in the location in this name.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplate.t/0","type":"type"},{"doc":"The template for an individual field within a tag template.Attributes description (type: String.t, default: nil) - The description for this field. Defaults to an empty string. displayName (type: String.t, default: nil) - The display name for this field. Defaults to an empty string. isRequired (type: boolean(), default: nil) - Whether this is a required field. Defaults to false. name (type: String.t, default: nil) - Output only. The resource name of the tag template field in URL format. Example: * projects/{project_id}/locations/{location}/tagTemplates/{tag_template}/fields/{field} Note that this TagTemplateField may not actually be stored in the location in this name. order (type: integer(), default: nil) - The order of this field with respect to other fields in this tag template. A higher value indicates a more important field. The value can be negative. Multiple fields can have the same order, and field orders within a tag do not have to be sequential. type (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1FieldType.t, default: nil) - Required. The type of value this tag field can contain.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1TagTemplateField.t/0","type":"type"},{"doc":"A taxonomy is a collection of policy tags that classify data along a common axis. For instance a data sensitivity taxonomy could contain policy tags denoting PII such as age, zipcode, and SSN. A data origin taxonomy could contain policy tags to distinguish user data, employee data, partner data, public data.Attributes activatedPolicyTypes (type: list(String.t), default: nil) - Optional. A list of policy types that are activated for this taxonomy. If not set, defaults to an empty list. description (type: String.t, default: nil) - Optional. Description of this taxonomy. It must: contain only unicode characters, tabs, newlines, carriage returns and page breaks; and be at most 2000 bytes long when encoded in UTF-8. If not set, defaults to an empty description. displayName (type: String.t, default: nil) - Required. User defined name of this taxonomy. It must: contain only unicode letters, numbers, underscores, dashes and spaces; not start or end with spaces; and be at most 200 bytes long when encoded in UTF-8. name (type: String.t, default: nil) - Output only. Resource name of this taxonomy, whose format is: &quot;projects/{project_number}/locations/{location_id}/taxonomies/{id}&quot;. policyTagCount (type: integer(), default: nil) - Output only. Number of policy tags contained in this taxonomy. taxonomyTimestamps (type: GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1SystemTimestamps.t, default: nil) - Output only. Timestamps about this taxonomy. Only create_time and update_time are used.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1Taxonomy.t/0","type":"type"},{"doc":"Table view specification.Attributes viewQuery (type: String.t, default: nil) - Output only. The query that defines the table view.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec.html","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.GoogleCloudDatacatalogV1beta1ViewSpec.t/0","type":"type"},{"doc":"An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A Policy is a collection of bindings. A binding binds one or more members to a single role. Members can be user accounts, service accounts, Google groups, and domains (such as G Suite). A role is a named list of permissions; each role can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a binding can also specify a condition, which is a logical expression that allows access to a resource only if the expression evaluates to true. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the IAM documentation. JSON example: { &quot;bindings&quot;: [ { &quot;role&quot;: &quot;roles/resourcemanager.organizationAdmin&quot;, &quot;members&quot;: [ &quot;user:mike@example.com&quot;, &quot;group:admins@example.com&quot;, &quot;domain:google.com&quot;, &quot;serviceAccount:my-project-id@appspot.gserviceaccount.com&quot; ] }, { &quot;role&quot;: &quot;roles/resourcemanager.organizationViewer&quot;, &quot;members&quot;: [ &quot;user:eve@example.com&quot; ], &quot;condition&quot;: { &quot;title&quot;: &quot;expirable access&quot;, &quot;description&quot;: &quot;Does not grant access after Sep 2020&quot;, &quot;expression&quot;: &quot;request.time &lt; timestamp('2020-10-01T00:00:00.000Z')&quot;, } } ], &quot;etag&quot;: &quot;BwWWja0YfJA=&quot;, &quot;version&quot;: 3 } YAML example: bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time &lt; timestamp('2020-10-01T00:00:00.000Z') - etag: BwWWja0YfJA= - version: 3 For a description of IAM and its features, see the IAM documentation.Attributes bindings (type: list(GoogleApi.DataCatalog.V1beta1.Model.Binding.t), default: nil) - Associates a list of members to a role. Optionally, may specify a condition that determines how and when the bindings are applied. Each of the bindings must contain at least one member. etag (type: String.t, default: nil) - etag is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the etag in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An etag is returned in the response to getIamPolicy, and systems are expected to put that etag in the request to setIamPolicy to ensure that their change will be applied to the same version of the policy. Important: If you use IAM Conditions, you must include the etag field whenever you call setIamPolicy. If you omit this field, then IAM allows you to overwrite a version 3 policy with a version 1 policy, and all of the conditions in the version 3 policy are lost. version (type: integer(), default: nil) - Specifies the format of the policy. Valid values are 0, 1, and 3. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version 3. This requirement applies to the following operations: Getting a policy that includes a conditional role binding Adding a conditional role binding to a policy Changing a conditional role binding in a policy Removing any role binding, with or without a condition, from a policy that includes conditions Important: If you use IAM Conditions, you must include the etag field whenever you call setIamPolicy. If you omit this field, then IAM allows you to overwrite a version 3 policy with a version 1 policy, and all of the conditions in the version 3 policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the IAM documentation.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Policy.html","title":"GoogleApi.DataCatalog.V1beta1.Model.Policy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.Policy.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.Policy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.Policy.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.Policy.t/0","type":"type"},{"doc":"Request message for SetIamPolicy method.Attributes policy (type: GoogleApi.DataCatalog.V1beta1.Model.Policy.t, default: nil) - REQUIRED: The complete policy to be applied to the resource. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Cloud Platform services (such as Projects) might reject them.","ref":"GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.html","title":"GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.SetIamPolicyRequest.t/0","type":"type"},{"doc":"Request message for TestIamPermissions method.Attributes permissions (type: list(String.t), default: nil) - The set of permissions to check for the resource. Permissions with wildcards (such as '' or 'storage.') are not allowed. For more information see IAM Overview.","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.html","title":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsRequest.t/0","type":"type"},{"doc":"Response message for TestIamPermissions method.Attributes permissions (type: list(String.t), default: nil) - A subset of TestPermissionsRequest.permissions that the caller is allowed.","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse.html","title":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse.html#decode/2","title":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse.html#t:t/0","title":"GoogleApi.DataCatalog.V1beta1.Model.TestIamPermissionsResponse.t/0","type":"type"}]